%define name    keepalived
%define version 1.2.2
%define subrel	2
%define release %mkrel 1

Name: %{name}
Version: %{version}
Release: %{release}
Summary: HA monitor built upon LVS, VRRP and services poller
License: GPL
Group: System/Cluster 
URL: http://www.keepalived.org/
Source0: %{name}-%{version}.tar.gz
Patch0: keepalived-1.2.2-lsb.patch
Patch1:	keepalived-1.2.2-CVE-2011-1784.patch
Patch2:	keepalived-dont-use-modprobe-k.patch
Patch3:	keepalived-1.2.3-sighandler-nosyslog.patch
BuildRequires: openssl-devel
BuildRequires: libpopt-devel
BuildRequires: kernel-devel

%description
The main goal of the keepalived project is to add a strong & robust keepalive
facility to the Linux Virtual Server project. This project is written in C with
multilayer TCP/IP stack checks. Keepalived implements a framework based on
three family checks : Layer3, Layer4 & Layer5/7. This framework gives the
daemon the ability to check the state of an LVS server pool. When one of the
servers of the LVS server pool is down, keepalived informs the linux kernel via
a setsockopt call to remove this server entry from the LVS topology. In
addition keepalived implements an independent VRRPv2 stack to handle director
failover. So in short keepalived is a userspace daemon for LVS cluster nodes
healthchecks and LVS directors failover.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}
# Remove "samples", as we include them in %%doc
rm -rf %{buildroot}%{_sysconfdir}/%{name}/samples/

%post
%_post_service %{name}

%preun 
%_preun_service %{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHOR ChangeLog CONTRIBUTORS COPYING README TODO
%doc doc/keepalived.conf.SYNOPSIS doc/samples/
%dir %{_sysconfdir}/keepalived/
%attr(0600, root, root) %config(noreplace) %{_sysconfdir}/keepalived/keepalived.conf
%attr(0600, root, root) %config(noreplace) %{_sysconfdir}/sysconfig/keepalived
%{_sysconfdir}/rc.d/init.d/keepalived
%{_bindir}/genhash
%{_sbindir}/keepalived
%{_mandir}/man1/genhash.1*
%{_mandir}/man5/keepalived.conf.5*
%{_mandir}/man8/keepalived.8*





%changelog

* Sat Jul 28 2012 luigiwalser <luigiwalser> 1.2.2-1.2.mga2
+ Revision: 275365
- add upstream patch to fix security issue with using syslog in sighandlers
- add patch from debian to fix mga #4084
- add patch from debian to fix CVE-2011-1784

  + colin <colin>
    - Add LSB headers to initscripts (mga#5262)

* Sun Mar 06 2011 ennael <ennael> 1.2.2-0.mga1
+ Revision: 65416
- imported package keepalived


* Thu Mar 03 2011 zamir <zamir@mandriva.org> 1.2.2-0mdv2011.0
+ Revision: 641423
- update version

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.17-3mdv2011.0
+ Revision: 612562
- the mass rebuild of 2010.1 packages

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 1.1.17-2mdv2010.1
+ Revision: 537327
- rebuild

* Mon May 18 2009 Anne Nicolas <ennael@mandriva.org> 1.1.17-1mdv2010.0
+ Revision: 376952
- Fix group
- import keepalived


